igeo

## Class IPlanarAttractor.IPlanarAttractorGeo

- java.lang.Object
- - igeo.IFieldGeo
  - - igeo.IPointFieldGeo
    - - igeo.IPlanarAttractor.IPlanarAttractorGeo

- All Implemented Interfaces:
    I3DFieldI, IFieldI
  Enclosing class:
    IPlanarAttractor

      public static class IPlanarAttractor.IPlanarAttractorGeo
      extends IPointFieldGeo

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class igeo.IFieldGeo

      `IFieldGeo.Decay`

  - ### Field Summary

    - ### Fields inherited from class igeo.IPointFieldGeo

      `dir, pos`

    - ### Fields inherited from class igeo.IFieldGeo

      `bidirectional, constantIntensity, customDecay, decay, gaussDecay, intensity, linearDecay, noDecay, threshold`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IPlanarAttractor.IPlanarAttractorGeo(IVecI pos, IVecI planeDir)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IVecI` | `getForce(IVecI v, IVecI orig)` get original field value out of curve parameter u

    - ### Methods inherited from class igeo.IPointFieldGeo

      `del, dir, gauss, gaussian, gaussianDecay, get, get, getForce, intensity, linear, linearDecay, noDecay, pos, threshold`

    - ### Methods inherited from class igeo.IFieldGeo

      `bidirectional, constantIntensity, decay, decay, intensity, threshold`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface igeo.IFieldI

      `bidirectional, constantIntensity, decay, intensity, threshold`

- - ### Constructor Detail

    - #### IPlanarAttractor.IPlanarAttractorGeo

          public IPlanarAttractor.IPlanarAttractorGeo(IVecI pos,
                                              IVecI planeDir)

  - ### Method Detail

    - #### getForce

          public IVecI getForce(IVecI v,
                       IVecI orig)

      Description copied from class: `IPointFieldGeo`
      get original field value out of curve parameter u
      Overrides:
        `getForce` in class `IPointFieldGeo`